Bug 529544 - Review Request: php-phpunit-bytekit - A command-line tool built on the PHP Bytekit extension
Review Request: php-phpunit-bytekit - A command-line tool built on the PHP By...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
11
noarch Linux
low Severity medium
: ---
: ---
Assigned To: Christof Damian
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-18 09:32 EDT by Guillaume Kulakowski
Modified: 2014-09-02 09:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 06:27:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
christof: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Guillaume Kulakowski 2009-10-18 09:32:05 EDT
phpcpd is a Copy/Paste Detector (CPD) for PHP code.

The goal of phpcpd is not not to replace more sophisticated tools such as
phpcs,
pdepend, or phpmd, but rather to provide an alternative to them when you just
need to get a quick overview of duplicated code in a project.

---

SPEC:
http://llaumgui.fedorapeople.org/review/php-phpunit-bytekit.spec

SRPM:
http://llaumgui.fedorapeople.org/review/php-phpunit-bytekit-1.0.0-1.fc11.src.rpm

RPM:
http://llaumgui.fedorapeople.org/review/php-phpunit-bytekit-1.0.0-1.fc11.noarch.rpm

---

rpmlint:
php-phpunit-bytekit.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

---

Pear CompatInfo:
+-----------------------------+---------+---+------------+--------------------+
| Files                       | Version | C | Extensions | Constants/Tokens   |
+-----------------------------+---------+---+------------+--------------------+
| ./*                         | 5.0.0   | 0 | pcre       | ...CTORY_SEPARATOR |
|                             |         |   |            | PATH_SEPARATOR     |
|                             |         |   |            | __FILE__           |
|                             |         |   |            | abstract           |
|                             |         |   |            | catch              |
|                             |         |   |            | protected          |
|                             |         |   |            | public             |
|                             |         |   |            | throw              |
|                             |         |   |            | try                |
+-----------------------------+---------+---+------------+--------------------+
Comment 1 Christof Damian 2009-11-13 07:19:45 EST
OK: rpmlint must be run on every package. The output should be posted in the review.

   php-phpunit-bytekit.noarch: W: no-documentation
   2 packages and 0 specfiles checked; 0 errors, 1 warnings.

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.  .
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. 

FAIL: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 

needs some work to build on F10 and F11, because of PEAR version. Builds ok on rawhide.

OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8.
Comment 2 Guillaume Kulakowski 2009-11-16 04:16:53 EST
OK, I will update my SPEC file.
Comment 3 Christof Damian 2009-11-17 03:47:52 EST
Thanks. Please also update the revision and generate new RPMs when you change the SPEC file
Comment 5 Christof Damian 2009-11-26 17:30:54 EST
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture. 

mock build worked on F10 - rawhide

APPROVED
Comment 6 Guillaume Kulakowski 2009-11-30 08:16:27 EST
New Package CVS Request
=======================
Package Name: php-phpunit-bytekit
Short Description: A command-line tool built on the PHP Bytekit extension
Owners: llaumgui cdamian
Branches: F-11 F-12
InitialCC:
Comment 7 Kevin Fenzi 2009-12-03 01:41:16 EST
cvs done.
Comment 8 Christof Damian 2010-01-12 06:27:24 EST
I am closing this, because the package is available in updates.
Comment 9 Guillaume Kulakowski 2010-09-04 11:12:36 EDT
Package Change Request
======================
Package Name: php-phpunit-bytekit
New Branches: EL-6
Owners: llaumgui
Comment 10 Kevin Fenzi 2010-09-05 13:40:33 EDT
Git done (by process-git-requests).
Comment 11 Guillaume Kulakowski 2014-09-02 09:09:42 EDT
Package Change Request
======================
Package Name: php-phpunit-bytekit
New Branches: EL-7
Owners: llaumgui
Comment 12 Jon Ciesla 2014-09-02 09:33:28 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.